// ExpDlg.cpp : implementation file
//

#include "stdafx.h"
#include "frontTool.h"

#include "ftDB.h"
#include "eiTab.h"
#include "ExpDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

BOOL IsInputedContent(CWnd* pW,int iID,LPCSTR szTitle)
{
	CString _szA;
	pW->GetDlgItemText(iID,_szA);
	if(_szA.GetLength()<=0)
	{
		CString szOut;
		szOut=szTitle;
		szOut+=" Ϊգ";
		AfxMessageBox(szOut);
		(pW->GetDlgItem(iID))->SetFocus();
		return FALSE;
	}
	return TRUE;
}
/////////////////////////////////////////////////////////////////////////////
// CExpDlg dialog


CExpDlg::CExpDlg(CFTDB* pDB)
	: CDialog(CExpDlg::IDD, NULL)
{
	//{{AFX_DATA_INIT(CExpDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_pDB=pDB;
}

BOOL CExpDlg::CreateWnd(CWnd* pParent,CRect rcC)
{
	BOOL f=CDialog::Create(CExpDlg::IDD,pParent);
	MoveWindow(rcC);
	ShowWindow(SW_SHOW);
	return f;
}

void CExpDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExpDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CExpDlg, CDialog)
	//{{AFX_MSG_MAP(CExpDlg)
	ON_BN_CLICKED(IDC_EXP_BTN, OnExpBtn)
	ON_BN_CLICKED(IDC_SEL_EXP_FILE, OnSelExpFile)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExpDlg message handlers
void CExpDlg::OnSelExpFile() 
{
}

void CExpDlg::OnExpBtn() 
{
	if(!IsInputedContent(this,IDC_EXP_FILE_NAME,"ļ"))
		return ;
	if(!IsInputedContent(this,IDC_EXP_SQL,"SQL"))
		return ;
	CString szExpSQL,szFN,szImpSQL;
	GetDlgItemText(IDC_EXP_FILE_NAME,szFN);
	GetDlgItemText(IDC_EXP_SQL,szExpSQL);
	GetDlgItemText(IDC_IMP_SQL,szImpSQL);
	//char szSQL[]="select to_char(xh),nvl(zdnr,' '), nvl(rgnr,' '),nvl(fjnr,' '),nvl(qtnr,' '),nvl(hwy,' '), nvl(to_char(lrrq,'YYYYMMDDHH24MI'),' ') from tkf_bbhc order by xh";
	CExpTab et(m_pDB);
	BOOL fOK=et.ExportTab(szExpSQL,szFN,szImpSQL);
	AfxMessageBox((fOK)?"ɹ":"ʧ");
}

