#ifndef __EI_TAB_H
#define __EI_TAB_H

#include "sql.h"
#include "sqlext.h"
#pragma comment(lib,"odbc32.lib")

class CExpTab
{
public:
	CExpTab(CFTDB* pDB);
	~CExpTab();
	BOOL ExportTab(LPCSTR pszExpSQL,LPCSTR pszFileName,LPCSTR pszImpSQL=NULL);
	BOOL m_fMonitorConsole,m_fWithTxtFile,m_fWithHeader;
protected:
	BOOL ExportTab_2(HSTMT hstmt,LPCSTR pszSQL);
	BOOL WriteFileHead(LPCSTR pszExpSQL,LPCSTR pszImpSQL=NULL);
	BOOL WriteFile(LPCSTR pszTxt);
	BOOL WriteFile(LPVOID pData,DWORD dwLen);
	BOOL OpenFile(LPCSTR pszFN,BOOL fWithTxt=TRUE);
	BOOL CloseFile(void);

	FILE* m_pFile,*m_pFileData,*m_pFileData2;//ļһڴϢһڴݣһڴıʽ
	CFTDB *m_pDB;
};

class CImpTab
{
public:
	CImpTab(CFTDB* pDB);
	~CImpTab();
	BOOL ImportTab(LPCSTR pszSQL,LPCSTR pszFileName,int iCol=-1,int iTotal=-1);
	static BOOL AnalyHeader(LPCSTR pszFileName,int &iCol,int &iRow,CString& szImpSQL);
	BOOL m_fMonitorConsole;
protected:
	BOOL ReadRecord(void);
	BOOL ImportTab_2(HSTMT hstmt,LPCSTR pszSQL);
	BOOL ReadFileHead(void);
	BOOL OpenFile(LPCSTR pszFileName);
	BOOL CloseFile(void);
	BOOL NewBuf(void);
	BOOL DelBuf(void);
	
	CPtrArray m_arrPtrBuf;
	int m_iCol;
	int m_iTotalRecord;
	FILE *m_pFile,*m_pFileData;
	CFTDB *m_pDB;
};


#endif